#include <stdio.h>
#include <stdlib.h>

long long int ad(int k, int c){
 long long int m=1;
  for(int i=0;i<c;i++){
    m*=k;
  }

 return m;
}

int main()
{
   long long int c;
   int i,count=0;

   scanf("%lli",&c);


   for(i=0;i<19;i++){
     if(c<ad(10,i)){
        printf("%d",count);
        return 0;
     }

    long long int m=c%ad(10,i+1)/ad(10,i);

     while(m>=5){
        m-=5;
        count++;
     }
     while(m>=2){
        m-=2;
        count++;
     }
     while(m>=1){
        m-=1;
        count++;
     }

   }



    return 0;
}